Bug 111604 - [CSS Shapes] Shape-inside is broken when it's applied to the parent of multiple absolute-positioned containers
Summary: [CSS Shapes] Shape-inside is broken when it's applied to the parent of multip...
Status: RESOLVED LATER
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 89256 111607
  Show dependency treegraph
 
Reported: 2013-03-06 11:25 PST by Zoltan Horvath
Modified: 2014-03-27 09:13 PDT (History)
2 users (show)

See Also:


Attachments
test case (4.21 KB, text/html)
2013-03-06 11:25 PST, Zoltan Horvath
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Horvath 2013-03-06 11:25:32 PST
Created attachment 191799 [details]
test case

Please check out the attached test case. 
Currently we see 4 shape-inside circle left-top quarters, but we should see only 1 big shape-inside circle over the boxes.
Comment 1 Zoltan Horvath 2013-03-20 15:14:37 PDT
The spec will be going with a more conservative behavior. => This bug is invalid. 
Reference: Bug #111379
Comment 2 Alan Stearns 2013-04-03 17:57:55 PDT
Surprise! The spec changed to make this issue valid again.